Additional IPv4 blocks
All operations require authentication.
4 operationsv1/vrack/{serviceName}
List blocks. Returns the Additional IPv4 blocks routed in the vRack.Production
GET
/1.0/ vrack/ {serviceName}/ ip
Path parameters
service Name
required
string
The internal name of your vrack
Response
200ip Block []successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ ip \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0/24"]
Get a block. Returns the Additional IPv4 block, its gateway, its region and its public routing type.Production
GET
/1.0/ vrack/ {serviceName}/ ip/ {ip}
Path parameters
ip
required
ip Block
Your IP block
service Name
required
string
The internal name of your vrack
Response
200ipsuccessful operation
gateway
read-only
ip Block
Your gateway
ip
read-only
ip Block
Your IP block
public Routing Type
read-only
string
Mode in which gateway is configured
region
read-only
string
Where you want your block announced on the network
Example uses ip = 192.0.2.0/24, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ ip/ {ip} \
-H "authorization: Bearer $OVH_TOKEN"{ "gateway": "192.0.2.0/24", "ip": "192.0.2.0/24", "publicRoutingType": "string", "region": "string"}
Attach a blockProduction
POST
/1.0/ vrack/ {serviceName}/ ip
Attach a block. Routes an Additional IPv4 block in the vRack, in the given region. Returns the task that performs it.
Path parameters
service Name
required
string
The internal name of your vrack
Request body (required)
block
required
ip Block
Your IP block
region
string
Choose the region in which to route the block
Response
200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
last Update
read-only
stringdate-time
—
order Id
read-only
integer
—
service Name
read-only
string
—
status
read-only
Task Status Enum
Task status
Values
cancelleddoingdoneinittodotarget Domain
read-only
string
—
todo Date
read-only
stringdate-time
—
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ ip \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
Detach a block. Removes the Additional IPv4 block from the vRack. Returns the task that performs it.Production
DELETE
/1.0/ vrack/ {serviceName}/ ip/ {ip}
Path parameters
ip
required
ip Block
Your IP block
service Name
required
string
The internal name of your vrack
Response
200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
last Update
read-only
stringdate-time
—
order Id
read-only
integer
—
service Name
read-only
string
—
status
read-only
Task Status Enum
Task status
Values
cancelleddoingdoneinittodotarget Domain
read-only
string
—
todo Date
read-only
stringdate-time
—
Example uses ip = 192.0.2.0/24, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ ip/ {ip} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}